// Copyright 2016, University of Colorado Boulder

window.addNavbarAndFooter = function( pathToRoot ) {
  'use strict';

  $( document ).ready( function() {

    // This if block is for if you are serving this locally but not from phet-io-website/root.
    // You need to change the absolute paths that link to assets
    // i.e. From '/assets' to 'localhost/phet-io-website/root/assets'
    if ( window.location.href.indexOf( 'phet-io-website' ) >= 0 ) {
      pathToRoot = window.location.href.split( 'phet-io-website/root/' )[ 0 ] + 'phet-io-website/root/';

      $.ajax( {
        url: pathToRoot + '/navbar.html',
        success: function(navString) {
          navString = navString.split( 'href="/' ).join( 'href="' + pathToRoot );
          navString = navString.split( 'src="/' ).join( 'src="' + pathToRoot );
          $( '#navbar' ).html( navString );
        }
      } );

      $.ajax( {
        url: pathToRoot + '/footer.html',
        success: function(footString) {
          footString = footString.split( 'href="/' ).join( 'href="' + pathToRoot );
          footString = footString.split( 'src="/' ).join( 'src="' + pathToRoot );
          $( '#footer' ).html( footString );
        }
      } );

    }
    else {
      $( '#navbar' ).load( pathToRoot + '/navbar.html' );
      $( '#footer' ).load( pathToRoot + '/footer.html' );
    }
  } );
};
