// Copyright 2016, University of Colorado Boulder

/**
 * Show a popup that confirms before navigating away from a page.  Should be used for wrappers that
 * lose too much state/data when closed/refreshed inadvertently.
 *
 * @author Sam Reid (PhET Interactive Simulations)
 */
(function() {
  'use strict';

  window.addEventListener( 'beforeunload', function( e ) {
    var confirmationMessage = 'Are you sure you would like to leave this PhET-iO Wrapper session?';

    e.returnValue = confirmationMessage;     // Gecko, Trident, Chrome 34+
    return confirmationMessage;              // Gecko, WebKit, Chrome <34
  } );
})();