// Copyright 2016, University of Colorado Boulder
(function() {
  'use strict';

  /**
   * Read a file over XHR and return the contents in a callback
   * @param {string} path
   * @param {function} callback
   */
  window.readFile = function( path, callback ) {
    var xhr = new XMLHttpRequest();
    xhr.open( 'GET', path );
    xhr.send( null );

    xhr.onreadystatechange = function() {
      if ( xhr.readyState === 4 /*done*/ && xhr.status === 200 /*ok*/ ) {
        callback( xhr.responseText );
      }
    };
  };
})();