// Copyright 2016, University of Colorado Boulder

/**
 *
 * @param string
 * @returns {{error: null}|string} Object containing value error, which contains a message if the validation was not successful and is null otherwise
 */
window.validationRule = function( string ) {
  'use strict';

  function isNormalInteger( str ) {
    for ( var i = 0; i < str.length; i++ ) {
      if ( isNaN( Number( str[ i ] ) ) ) {
        return false;
      }
    }
    return true;
  }

  string = string.trim();

  /**
   *  Add a testing id for all validation rules: phettest
   */
  if ( string === 'phettest' ) {
    return { error: null };
  }


  if ( isNormalInteger( string ) ) {
    var numberOfDigits = QueryStringMachine.get( 'numberOfDigits', { type: 'number' } );
    if ( string.length === numberOfDigits ) {
      return { error: null };
    }
    else {
      return { error: 'Error: "' + string + '" has the wrong number of digits.' };
    }
  }
  else {
    return { error: 'Error: "' + string + '" should be a positive number' };
  }
};